import VueRouter from 'vue-router'
import { Toast } from "vant";
import * as _ from 'lodash'

declare module "vue/types/vue" {
    import { Route } from "vue-router";
    import {RequestInterface} from "@/views/admin/types/Types";
    import VueI18n from "vue-i18n";

    interface Vue {
        $router : VueRouter;
        $route : Route;
        $http : RequestInterface,
        $lang: Function,
        $sprintf: Function,
        $toast : Toast,
        $_ : _,
        $bus: any,
        $isDev: boolean
    }
}
