export interface MenuInterface {
    name : string;
    url : string;
    pid ?: number;
    state ?: number;
    id? : number;
    children? : MenuInterface[]
}

export interface UserInterface {
    id? : number;
    nickname ?: string;
    account : string;
    deleted_at : string;
}

export interface NodeInterface{
    id ?: number;
    name : string;
    pid : number;
    controller : string;
    action : string;
    route_uri : string;
    children : NodeInterface[];
}
export interface NodeGroupInterface{
    id ?: number;
    name ?: string;
}

export interface ApplyInterface{
    id : number;
    item_id : number;
    reason : string;
    send_account : string;
    audit_state_one : number;
    audit_state_two : number;
    unikey : string;
    execute_state ?: number;
}

export interface ElTreeDataInterface {
    id : number;
    label : string;
    children : ElTreeDataInterface[]
}

