export interface DeviceInterface {
    id ?: number;
    name : string;
    model : number;
    version : number;
    serial_number : number;
    connect_url : string;
    pic_url : string;
    is_running ?: number;
    platform : string;
}

export interface ScriptInterface {
    id ?: number;
    name : string;
    project_id : number;
    project ?: string;
    user_id ?: number;
    user ?: string;
    description : string;
    path : string;
    checkFile?:[]
}

export interface CollectionInterface {
    id ?: number;
    name : string;
    project_id : number;
    user_id ?: number;
    description : string;
    script : []
    list?:object
}

export interface TaskInterface {
    id ?: number;
    name : string;
    project_id : number;
    project ?: string;
    user_id ?: number;
    description : string;
    execute_count ?: number;
    script_number ?: number;
    list ?: []
}
