import Parent from "@/utils/Parnet";

export default class WapParent extends Parent {
    public success(content? : string, callback? : Function) {
        this.$toast.success( {
            message: content ? content : "操作成功",
            onClose : () => {
                callback && callback();
            }
        })
    }
    public error(content? : string, callback? : Function){
        this.$toast.fail( {
            message: content ? content : "操作成功",
            onClose : () => {
                callback && callback();
            }
        })
    }
}