import {RouteConfig} from "vue-router";
import Layout from '../pages/layout/layout.vue'

const routers : RouteConfig[] = [{
    path : "/",
    name : "/",
    component : Layout,
    redirect : "/home",
    children : [{
        path : "home",
        name : "home",
        meta : {title : "首页", isMenu : false},
        component : () => import(/* webpackChunkName: "wap-home" */ '@/views/wap/pages/home/home.vue'),
    }, {
        path : "login",
        name : "login",
        meta : {title : "", isMenu : false},
        component : () => import(/* webpackChunkName: "wap-login" */ '@/views/wap/pages/login/login.vue'),
    },]
}];


export default routers;